Subject: -lsupc++ in cygwin-1.3.7-1
From: Kei OHSHIRO <[email-masked]>
To: [email-masked]
Date: Sun, 20 Jan 2002 13:44:30 +0900

Hi,

I have a question about winsup/cygwin/Makefile.in.
When I compile latest cygwin-1.3.7-1, ld failed with "-lsupc++".
So, I've removed it and could compile normally.
Do you need libsupc++ in winsup/cygwin/Makefile.in?

Regards,
Kei
----
Kei OHSHIRO <[email-masked]>

This is a patch not to use libsupc++.

diff -aurN cygwin-1.3.7-1/winsup/cygwin/Makefile.in.orig cygwin-1.3.7-1/winsup/cygwin/Makefile.in
--- cygwin-1.3.7-1/winsup/cygwin/Makefile.in.orig       Sun Jan 20 03:17:40 2002
+++ cygwin-1.3.7-1/winsup/cygwin/Makefile.in    Sun Jan 20 12:59:36 2002
@@ -245,7 +245,7 @@
        $(CXX) $(CXXFLAGS) -nostdlib -Wl,-T$(firstword $^) -Wl,--out-implib,cygd
ll.a -shared -o $@ \
        -e $(DLL_ENTRY) $(DEF_FILE) $(DLL_OFILES) version.o winver.o \
        $(DLL_IMPORTS) $(MALLOC_OBJ) $(LIBM) $(LIBC) \
-       -lsupc++ -lgcc -lshell32 -luuid
+       -lgcc -lshell32 -luuid

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/